Bug 1281561 - UI: Count of services in Classic vs. SSUI do not match
UI: Count of services in Classic vs. SSUI do not match
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Aparna Karve
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 14:25 EST by Harpreet Kataria
Modified: 2016-03-07 09:16 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-11-12 14:25:54 EST
Description of problem: Count of services in Classic vs. SSUI do not match


Version-Release number of selected component (if applicable):



How reproducible:100%


Steps to Reproduce:
1. Go to Class UI, list of Services and notice the count
2. Then go to SSUI list of Services counts on both screens do not match
3.

Actual results: Counts do not match


Expected results: Both counts should match


Additional info: In Classic UI we only display parent services, that have service_id as nil. Need to change SSUI to do the same
Comment 4 CFME Bot 2015-11-17 18:25:30 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f44ae1f84735570bf2540e1b335576762ad90db8

commit f44ae1f84735570bf2540e1b335576762ad90db8
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Mon Nov 16 14:54:19 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Mon Nov 16 15:07:48 2015 -0800

    Fixed Current Services and Retired Services count and list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281561

 .../client/app/states/dashboard/dashboard.state.js     | 18 +++++++++++++++---
 .../client/app/states/services/list/list.state.js      |  4 ++--
 2 files changed, 17 insertions(+), 5 deletions(-)
Comment 5 CFME Bot 2015-11-18 12:08:55 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=75bcdb7503175a5947e7acef141ed9f780adebe7

commit 75bcdb7503175a5947e7acef141ed9f780adebe7
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Mon Nov 16 14:54:19 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Nov 17 15:27:19 2015 -0800

    Fixed Current Services and Retired Services count and list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281561

 .../client/app/states/dashboard/dashboard.state.js     | 18 +++++++++++++++---
 .../client/app/states/services/list/list.state.js      |  4 ++--
 2 files changed, 17 insertions(+), 5 deletions(-)
Comment 6 CFME Bot 2015-11-18 12:09:04 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=01bbf4d6ad21e905da33e51f6c928c9224642c24

commit 01bbf4d6ad21e905da33e51f6c928c9224642c24
Merge: 6bca6f9 861eae1
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 18 11:26:12 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 18 11:26:12 2015 -0500

    Merge branch 'fix_service_count' into '5.5.z'
    
    Fixed Total services count and the services list
    
    Clean cherry-pick.
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5470
    
    Fixed Total services count and the services list.
    Also fixed the Current Services and Retired Services count and the list that is displayed.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281561
    
    See merge request !493

 .../client/app/config/navigation.config.js         |  7 ++++-
 .../client/app/states/dashboard/dashboard.state.js | 30 ++++++++++++++++++----
 .../app/states/dashboard/dashboard.state.spec.js   |  4 +++
 .../client/app/states/services/list/list.state.js  | 12 ++++++---
 4 files changed, 44 insertions(+), 9 deletions(-)
Comment 10 errata-xmlrpc 2015-12-08 08:46:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.